WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

QuickPost

QuickPost is a plugin consisting of a bookmarklet which will be added to your links toolbar, and a blog editor triggered by the bookmarklet.

What is this?

QuickPost is a plugin consisting of a bookmarklet which will be added to your links toolbar, and a blog editor triggered by the bookmarklet. The options are inspired by the Tumblr (http://www.tumblr.com) weblog system. It is a great service but it's not WordPress/

What does it do?

When you click the Quickpost bookmarklet from any web site, a new window will pop up. The URL of the page you're on, linked with the title of the page, will automatically be transferred to the editor in that window. You can do almost everything you do with the default editor of WordPress (like dragging&dropping pictures, formatting your post, selecting categories etc..) and create a new post for your blog.

License?

The code is open, whoever wishes to do anything about it is welcome to tinker. Thanks to menguzar & culdesac (http://www.keditasmasi.com) for the start. I can't wait to see who tinker's next.

For more information, visit http://web.twelvehorses.com/projects/quickpost/

HISTORY v0.7 (01/11/2008) -Fixed small display issued with youtube videos -Added support for 2.3 style tagging - Thanks Mikkel (blog.detersmart.dk) -Added an optin to default to comments disabled - Thanks Mikkel (blog.detersmart.dk)

v0.6 (12/04/2007) -Finished Safari Support (although there may be bugs) -Added stripslashes for titles that have apostrophes -Minor Change to Blockquote formatting

v0.5 (10/25/2007)

-Rewrote the bookmarklet javascript -Fixed the photo bug with flickr -Made the photos tab the default when on flickr -Made photos linkable by adding a url. Leave it blank to prevent the link.

v0.4.2 (10/15/2007)

-Finally added support for WP 2.3. Use version 0.4.0 if you need 2.2

v0.4.0 (09/06/2007)

-Added option to enable/disable wysiwyg editor (issues with Safari using TinyMCE) -Added option to have a default category per post type

0.3.1 (07/25/2007)

-Fixed youtube bug not submitting proper embed code - thanks smokestack

v0.3.0 (07/10/2007)

  • hacked BlogThis! code v0.2.0
  • added tumblr style post options (text, video, photos, quotes)
  • added jquery.

Requires: 2.3 or higher
Compatible up to: 2.3
Last Updated: 2008-1-11
Downloads: 10,975

Ratings

4 stars
4.4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

0,1,0
25,4,1
50,2,1
0,2,0
0,1,0
0,1,0
0,1,0
0,1,0